Skip to main content
PATCH
/
businesses
/
{id}
/
financialAccounts
/
{accountId}
Update a business financial account
curl --request PATCH \
  --url https://api.guile.app/businesses/{id}/financialAccounts/{accountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/merge-patch+json' \
  --data '
{
  "isDefault": true
}
'
{
  "routingNumber": "<string>",
  "isDefault": true,
  "id": "<string>",
  "maskedAccountNumber": "<string>",
  "eligiblePayoutMethods": [],
  "financialInstitutionName": "<string>"
}

Path Parameters

id
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

accountId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/merge-patch+json

Representation used to patch a business' financial account using the JSON Merge Patch format and processing rules.

isDefault
boolean | null

Indicates whether this account is the default account.

Response

Ok. The operation succeeded.

A read-only reference to a financial account.

routingNumber
string
required

The routing and transit number associated with the financial account.

type
enum<string>
required

The type of financial account.

Available options:
checking,
savings,
moneyMarket,
cashManagement,
other
isDefault
boolean
required

Indicates whether this financial account is the default financial account.

id
string
required

The unique identifier for the financial account reference.

maskedAccountNumber
string
required

The masked financial account number. The last 4 digits of the account are unmasked.

eligiblePayoutMethods
enum<string>[]
required

Supported payout methods for this financial account.

The method used for the payout. Standard typically means T+2 days through ACH batch processing. Instant expediates payments for an additional processing fee. Instant payouts be be limited based on availability and other factors.

Available options:
standard,
instant
financialInstitutionName
string

The name of the financial institution for this account, if available.